Bug 1126816 - the other grub2 instance is not added to menu
Summary: the other grub2 instance is not added to menu
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 11:21 UTC by cornel panceac
Modified: 2015-12-02 16:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:36 UTC


Attachments (Terms of Use)
tmp logs (971 bytes, application/x-bzip)
2014-08-06 07:32 UTC, cornel panceac
no flags Details
grubby log (2.76 KB, text/plain)
2014-08-06 07:34 UTC, cornel panceac
no flags Details
a (45.21 KB, text/x-log)
2014-08-07 09:21 UTC, cornel panceac
no flags Details
i (2.81 KB, text/x-log)
2014-08-07 09:21 UTC, cornel panceac
no flags Details
j (872.23 KB, text/x-log)
2014-08-07 09:22 UTC, cornel panceac
no flags Details
pa (621.48 KB, text/x-log)
2014-08-07 09:22 UTC, cornel panceac
no flags Details
pr (37.84 KB, text/plain)
2014-08-07 09:23 UTC, cornel panceac
no flags Details
st (329.23 KB, text/x-log)
2014-08-07 09:23 UTC, cornel panceac
no flags Details
sy (143.88 KB, text/plain)
2014-08-07 09:24 UTC, cornel panceac
no flags Details
X (38.55 KB, text/x-log)
2014-08-07 09:24 UTC, cornel panceac
no flags Details

Description cornel panceac 2014-08-05 11:21:11 UTC
Description of problem:
After installing fedora21, centos 7 is not added to boot menu, even if it's already installed.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.install centos 7
2.install fedora 21
3.re boot

Actual results:
cetos 7 is not present in the boot menu

Expected results:
centos 7 is present in the boot menu

Additional info:
similar thing happens if i install centos7 grub, instead of fedora's
in this case, centos is in the menu but not fedora

for both, windows 7 is added to the menu (if ntfs-3g is installed)

Comment 1 Brian Lane 2014-08-05 23:27:05 UTC
Please attach the logs from /tmp/*log and /var/log/grubby if it has anything in it.

Comment 2 cornel panceac 2014-08-06 07:32:35 UTC
Created attachment 924371 [details]
tmp logs

Comment 3 cornel panceac 2014-08-06 07:34:22 UTC
Created attachment 924372 [details]
grubby log

Comment 4 cornel panceac 2014-08-06 07:35:01 UTC
done. please let me know if any other infoo is required.

Comment 5 Brian Lane 2014-08-06 17:50:36 UTC
Most of those logs are empty. If you're on the installed system instead of in the installer you can find them in /var/log/anaconda. Please attach them as individual text/plain attachments, not as compressed archives.

Comment 6 cornel panceac 2014-08-07 09:21:17 UTC
Created attachment 924819 [details]
a

Comment 7 cornel panceac 2014-08-07 09:21:38 UTC
Created attachment 924820 [details]
i

Comment 8 cornel panceac 2014-08-07 09:22:02 UTC
Created attachment 924821 [details]
j

Comment 9 cornel panceac 2014-08-07 09:22:50 UTC
Created attachment 924822 [details]
pa

Comment 10 cornel panceac 2014-08-07 09:23:17 UTC
Created attachment 924823 [details]
pr

Comment 11 cornel panceac 2014-08-07 09:23:49 UTC
Created attachment 924824 [details]
st

Comment 12 cornel panceac 2014-08-07 09:24:15 UTC
Created attachment 924825 [details]
sy

Comment 13 cornel panceac 2014-08-07 09:24:42 UTC
Created attachment 924826 [details]
X

Comment 14 Fedora End Of Life 2015-11-04 15:16:14 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 03:20:39 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.